Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157450 - CAN-2005-1263 Linux kernel ELF core dump privilege elevation
Summary: CAN-2005-1263 Linux kernel ELF core dump privilege elevation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard: public=20050511,source=isec,reported=...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-11 18:27 UTC by Mark J. Cox
Modified: 2015-01-04 22:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-08 15:14:12 UTC


Attachments (Terms of Use)
Proposed patch from Greg KH (not backported) (deleted)
2005-05-11 18:27 UTC, Mark J. Cox
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:420 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 1 2005-06-08 04:00:00 UTC

Description Mark J. Cox 2005-05-11 18:27:48 UTC
Created attachment 114254 [details]
Proposed patch from Greg KH (not backported)

Comment 1 Mark J. Cox 2005-05-11 18:27:48 UTC
"A locally exploitable flaw has been found in the Linux ELF binary format
loader's core dump  function  that  allows  local  users  to  gain  root
privileges and also execute arbitrary code at kernel privilege level."

For the full description see
http://www.securityfocus.com/archive/1/397966/2005-05-08/2005-05-14/0

Comment 5 Rahul Sundaram 2005-05-12 06:30:12 UTC
A new release which fixes this problem upstream has been released as 2.6.11.9

http://lwn.net/Articles/135583/

Comment 6 Mark J. Cox 2005-05-12 09:54:17 UTC
Note that a sucessful mitigation to this issue is to limit the production of
core files, "ulimit -c 0" placed early during system startup (say from
rc.sysinit) will remove the risk of this issue.

Comment 7 Tim Burke 2005-05-12 13:39:33 UTC
This went into 2.6.9-9, so its in U1.

Comment 8 Josh Bressers 2005-05-31 20:39:18 UTC
It would seem that this issue doesn not affect 2.6 kernels.  The patch hardens
things a bit, but doesn't fix any security issues.

Comment 9 Mark J. Cox 2005-06-01 09:45:18 UTC
In the U1 kernel errata we will list this bug, since we've fixed this issue, but
we won't list the CVE name since CAN-2005-1263 has no security context for EL4.

Comment 10 Tim Powers 2005-06-08 15:14:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-420.html



Note You need to log in before you can comment on or make changes to this bug.